%bcond_with bootstrap

Summary:        Tools for internationalizing Python applications
Name:           babel
Version:        2.9.1
Release:        4%{?dist}
License:        BSD
URL:            https://babel.pocoo.org/
Source0:        https://github.com/python-babel/babel/archive/refs/tags/Babel-2.9.1.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools
%if !%{with bootstrap}
BuildRequires:  python3-pytz python3-pytest
BuildRequires:  python3-freezegun
%endif
BuildRequires:  make

Requires:       python3-babel python3-setuptools


%description
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.


%package -n python3-babel
Summary:        Library for internationalizing Python applications

Requires:       python3-setuptools python3-pytz
Provides:       python3-babel

%description -n python3-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%prep
%autosetup -p1 -n Babel-%{version}

%build
%py3_build

%install
%py3_install

%check
export TZ=UTC
%if !%{with bootstrap}
%{__python3} -m pytest
%endif

%files
%license LICENSE
%doc CHANGES AUTHORS
%{_bindir}/pybabel

%files -n python3-babel
%{python3_sitelib}/Babel-%{version}-py*.egg-info/
%{python3_sitelib}/babel/


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.1-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 02 2023 Feng Weiyao <wynnfeng@tencent.com> - 2.9.1-2
- rebuilt

* Mon Jan 30 2023 Feng Weiyao <wynnfeng@tencent.com> - 2.9.1-1
- initial build
